Bug 229068 - No 'crontab' program to list and edit users crontab
Summary: No 'crontab' program to list and edit users crontab
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: crontabs   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 19:41 UTC by Guido Ledermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 6.9.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-31 15:31:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Guido Ledermann 2007-02-16 19:41:19 UTC
Description of problem:
There is no 'crontab' program installed to edit or list the crontab entries
using 'crontab -e' or 'crontab -l'

Version-Release number of selected component (if applicable):
crontabs.noarch 1.10-12.fc7

Steps to Reproduce:
1.start a terminal session
2.type 'crontab -l'
  
Actual results:
bash: command not found

Expected results:
crontab should list entries or let me edit crontab entries.

Comment 1 Marcela Mašláňová 2007-02-20 13:32:37 UTC
Hello,
there was changes in spec file which specifies dependencies. For solution I need
to know your: rpm -q vixie-cron crontabs vim-enhanced bash

You don't really need vim, but if you can't edit crontab you haven't some text
editor or you haven't setup editor as common. I'm using vim and everything looks ok.

Comment 2 Guido Ledermann 2007-02-20 15:14:55 UTC
Hello,

#rpm -q vixie-cron crontabs vim-enhanced bash

The packet vixie-cron is not installed
crontabs-1.10-12.fc7
vim-enhanced-7.0.192-1.fc7
bash-3.2-9.fc7

And that was the problem. after installing vixie-cron I have the crontab program
again. Why hasn't that been automatically installed like it has been in former
versions von Fedora Core?


Comment 3 Marcela Mašláňová 2007-02-21 12:37:23 UTC
It wasn't never dependent. Crontab is part of vixie-cron and package crontabs
include only some scripts like run-parts. When I installed FC it was
automatically installed - vixie-cron, anacron, crontabs. Problem is only if you
do it manually and you don't know about it.

Comment 4 Guido Ledermann 2007-02-21 22:26:09 UTC
I just reinstalled F7Test1 from scartch, using standard installation (means I
didn't check or uncheck anything) and vixie-cron is not installed by default.

yum list vixie-cron
gives
vixie-cron 4:4.1-74.fc7  development

I'm sure it is installed by default by FC5/FC6.

Comment 5 Marcela Mašláňová 2007-02-22 08:02:13 UTC
I'm sorry, thanks for report. I'll investigate what's broke it.

Comment 6 Bill Nottingham 2007-03-02 17:46:17 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 7 Tony Molloy 2007-03-09 12:29:21 UTC
If you do a full install of 6.91 you do not get cron or anacron. You get
crontabs OK crontabs-1.10-12.fc7.noarch.rpm.

I presume it was just left out of the spin by mistake

Comment 8 Guido Ledermann 2007-03-31 15:31:54 UTC
This is fixed in 6.9.2


Note You need to log in before you can comment on or make changes to this bug.